The ERSPAN target copies traffic from one or more source ports, or
one or more source VLAN sub-interfaces, and forwards the copied traffic
to one or more destination ports on the different switches using routable
GRE-encapsulated packets. GRE protocol number for ERSPAN is 0x88BE.
ERSPAN does not affect the switching of network traffic on the source
ports or VLAN sub-interfaces.
.TP
\fB\-\-src\-ip\fP \fIipaddr\fP
Specify the IP address used as the source of ERSPAN traffic.
Address format must be IPv4.
.TP
\fB\-\-dst\-ip\fP \fIipaddr\fP
Specify the destination IP address of ERSPAN traffic.
Send the cloned packet to the reachable destination at the given IP address.
Address format must be IPv4.
.TP
\fB\-\-ttl\fP \fIvalue\fP
Set the optional IP time\-to\-live (TTL) value of packets in the ERSPAN traffic to `value'.
.TP
\fB\-\-prec\fP \fIvalue\fP
Set the optional IP precendence value of packets in the ERSPAN traffic to `value'.
.PP
To forward all incoming traffic on swp1 to 12.0.0.2:
.PP
\-A FORWARD \-\-in\-interface swp1 \-j ERSPAN \-\-src\-ip 12.0.0.1 \-\-dst\-ip 12.0.0.2
